Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth
Class NTSidUserPrincipal

    java.lang.Object
      com.ibm.security.auth.NTSid
          com.ibm.security.auth.NTSidUserPrincipal

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal

    public class NTSidUserPrincipal

extends NTSid

This class extends `NTSid` and represents a Windows NT user's SID.

Principals such as this `NTSidUserPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

This class will be replaced by `UserIDPrincipal` in future releases of JAAS.

Author:
  D. Kent Soper
See Also:
  `Principal`, `Subject`, `UserIDPrincipal`, Serialized Form

Constructor Summary
`NTSidUserPrincipal(java.lang.String name)` Create an `NTSidUserPrincipal` with a Windows NT SID.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares the specified Object with this `NTSidUserPrincipal` for equality.
`java.lang.String` | `toString()` Return a string representation of this `NTSidUserPrincipal`.

Methods inherited from class com.ibm.security.auth.NTSid
`getName, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NTSidUserPrincipal

    public NTSidUserPrincipal(java.lang.String name)

  Create an `NTSidUserPrincipal` with a Windows NT SID.

  Parameters:
    `name` - a string version of the Windows NT SID for this user.

  Throws:
    `java.lang.NullPointerException` - if the `name` is `null`.

Method Detail

### toString

    public java.lang.String toString()

  Return a string representation of this `NTSidUserPrincipal`.

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `NTSid`
  Returns:
    a string representation of this `NTSidUserPrincipal`.

### equals

    public boolean equals(java.lang.Object o)

  Compares the specified Object with this `NTSidUserPrincipal` for equality. Returns true if the given object is also a `NTSidUserPrincipal` and the two NTSidUserPrincipals have the same SID.

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `NTSid`
  Parameters:
    `o` - Object to be compared for equality with this `NTSidUserPrincipal`.
  Returns:
    true if the specified Object is equal equal to this `NTSidUserPrincipal`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD